---
title: SVG element page template
slug: MDN/Structures/Page_types/SVG_element_page_template
tags:
  - Element
  - SVG
  - Template
  - reference page
---
<div>{{FirefoxSidebar}}</div>

<div class="note">
<h2 id="Remove_before_publishing">Remove before publishing</h2>

<h3 id="Title_and_slug">Title and slug</h3>

<p>An SVG element page should have a <em>title</em> of <em>"&lt;" + Name</em>Of<em>TheElement + "&gt;"</em>. For example, the <a href="/en-US/docs/Web/SVG/Element/g">g</a> element has a <em>title</em> of <em>&lt;g&gt;</em>.</p>

<p>The <em>Slug</em> (the last segment at the end of the URL) should be filled in as <em>NameOfTheElement</em>, so <code>g</code>'s slug is <em>g</em>.</p>

<h3 id="Top_macros">Top macros</h3>

<p>There are four macro calls at the top of the template by default. You should update or delete them according to the advice below:</p>

<ul>
	<li>\{{draft()}} — this generates a <strong>Draft</strong> banner that indicates that the page is not yet complete, and should only be removed when the first draft of the page is completely finished. After it is ready to be published, you can remove this.</li>
	<li>\{{SeeCompatTable}} — this generates a <strong>This is an experimental technology</strong> banner that indicates the technology is <a href="/en-US/docs/MDN/Contribute/Guidelines/Conventions_definitions#Experimental">experimental</a>). If the technology you are documenting is not experimental, you can remove this. If it is experimental, and the technology is hidden behind a pref in Firefox, you should also fill in an entry for it in the <a href="/en-US/docs/Mozilla/Firefox/Experimental_features">Experimental features in Firefox</a> page.</li>
	<li>\{{deprecated_header}} — this generates a <strong>Deprecated</strong> banner that indicates the technology is <a href="/en-US/docs/MDN/Contribute/Guidelines/Conventions_definitions#Deprecated_and_obsolete">deprecated</a>. If it isn't, then you can remove the macro call.</li>
	<li>
	<div>\{{svgref}} — this generates a suitable SVG sidebar, depending on what tags are included on the page.</div>
	</li>
</ul>

<h3 id="Tags">Tags</h3>

<p>In an SVG element subpage, you need to include the following tags (see the <em>Tags</em> section at the bottom of the editor UI): <strong>SVG</strong>, <strong>Reference</strong>, <strong>Element</strong>, <em>the name of the Element</em> (e.g. <strong>g</strong>), <strong>SVG container</strong>/<strong>SVG animation/SVG light source</strong>/<strong>SVG text content</strong>/<strong>SVG font</strong> as appropriate, <strong>Experimental</strong> (if the technology is <a href="/en-US/docs/MDN/Contribute/Guidelines/Conventions_definitions#Experimental">experimental</a>), and <strong>Deprecated</strong> (if it is <a href="/en-US/docs/MDN/Contribute/Guidelines/Conventions_definitions#Deprecated_and_obsolete">deprecated</a>).</p>

<h3 id="Browser_compatibility">Browser compatibility</h3>

<p>To fill in the browser compat data, you first need to fill in an entry for the API into our <a href="https://github.com/mdn/browser-compat-data">Browser compat data repo</a> — see our <a href="/en-US/docs/MDN/Contribute/Structures/Compatibility_tables#The_new_way_The_browser_compat_data_repo_and_dynamic_tables">guide on how to do this</a>.</p>

<p>Once that is done, you can show the compat data for the method with a \{{Compat()}} macro call.</p>
</div>

<div>{{draft}}{{SeeCompatTable}}{{deprecated_header}}{{svgref}}</div>

<p>The summary paragraph — start by naming the element and saying what it does. This should ideally be 1 or 2 short sentences.</p>

<h2 id="Usage_context">Usage context</h2>

<p>{{svginfo}}</p>

<p>Note — for the correct information to appear here, you need to fill in an entry for the element in the \{{svginfo}} macro, if it is not in there already.</p>

<h2 id="Attributes">Attributes</h2>

<h3 id="Global_attributes">Global attributes</h3>

<ul>
	<li><a href="/en-US/docs/Web/SVG/Attribute#Conditional_processing_attributes">Conditional processing attributes</a></li>
	<li><a href="/en-US/docs/Web/SVG/Attribute#Core_attributes">Core attributes</a></li>
	<li><a href="/en-US/docs/Web/SVG/Attribute#Graphical_event_attributes">Graphical event attributes</a></li>
	<li><a href="/en-US/docs/Web/SVG/Attribute#Presentation_attributes">Presentation attributes</a></li>
	<li>{{SVGAttr("class")}}</li>
	<li>{{SVGAttr("style")}}</li>
	<li>{{SVGAttr("externalResourcesRequired")}}</li>
	<li>{{SVGAttr("transform")}}</li>
</ul>

<h3 id="Specific_attributes">Specific attributes</h3>

<ul>
	<li>Include bulleted</li>
	<li>list of all</li>
	<li>the SVG attributes</li>
	<li>It can take</li>
</ul>

<h2 id="DOM_Interface">DOM Interface</h2>

<p>This element implements the {{domxref("NameOfSVGDOMElement")}} interface.</p>

<h2 id="Examples">Examples</h2>

<p>Fill in a simple example that nicely shows a typical usage of the element, then perhaps some more complex examples (see our guide on how to add <a href="/en-US/docs/MDN/Contribute/Structures/Code_examples">code examples</a> for more information).</p>

<pre class="brush: js notranslate">my code block</pre>

<p>And/or include a list of links to useful code samples that live elsewhere:</p>

<ul>
	<li>x</li>
	<li>y</li>
	<li>z</li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName("NameOfSpecificationfromSpecName","#document-fragment-linking-directly-to-element-definition","NameOfTheElement")}}</td>
			<td>{{Spec2('NameOfSpecificationFromSpec2')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility_2">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("path.to.feature.NameOfTheElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>Include list of</li>
	<li>other links related to</li>
	<li>this Element that might</li>
	<li>be useful</li>
</ul>
